%global srcname jupyter-sphinx

Name:           python-%{srcname}
Version:        0.3.2
Release:        1%{?dist}
Summary:        Jupyter Sphinx extensions
License:        BSD
URL:            https://jupyter-sphinx.readthedocs.io/
Source0:        https://github.com/jupyter/%{srcname}/archive/v%{version}/%{srcname}-%{version}.tar.gz
# Fix an issue with bash-kernel
# https://github.com/jupyter/jupyter-sphinx/commit/67b44cedebbc926b9320c7ee51b3094646ef1032
Patch0:         %{name}-bash.patch

BuildArch:      noarch

BuildRequires:  make
BuildRequires:  python3-devel
BuildRequires:  %{py3_dist bash-kernel}
BuildRequires:  %{py3_dist ipython}
BuildRequires:  %{py3_dist ipywidgets}
BuildRequires:  %{py3_dist matplotlib}
BuildRequires:  %{py3_dist nbconvert}
BuildRequires:  %{py3_dist nbformat}
BuildRequires:  %{py3_dist pytest}
BuildRequires:  %{py3_dist setuptools}
BuildRequires:  %{py3_dist sphinx}

%global _desc %{expand:
Jupyter-Sphinx enables running code embedded in Sphinx documentation and
embedding output of that code into the resulting document.  It has
support for rich output such as images and even Jupyter interactive
widgets.}

%description %_desc

%package -n python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %_desc

%package        doc
Summary:        Documentation for %{name}

%description    doc
Documentation for %{name}.

%prep
%autosetup -n %{srcname}-%{version} -p1

%build
%py3_build

# Build the documentation
PYTHONPATH=$PWD make -C doc html
rm doc/build/html/.buildinfo

%install
%py3_install

%check
%pytest

%files -n  python3-%{srcname}
%doc README.md
%license LICENSE
%{python3_sitelib}/jupyter_sphinx*

%files          doc
%doc doc/build/html

%changelog
* Tue Jul 13 2021 Jerry James <loganjerry@gmail.com> - 0.3.2-1
- Initial RPM
